#ifndef DIALOGDIECUTTER_H
#define DIALOGDIECUTTER_H

#include <QDialog>
#include <QTextCodec>
#include "debugdialog.h"
#include "sharedviews/numerinputdialog.h"

namespace Ui {
class DialogDieCutter;
}

class DialogDieCutter : public DebugDialog
{
    Q_OBJECT

public:
    explicit DialogDieCutter(QWidget *parent = 0);
    ~DialogDieCutter();
private slots:
    void on_buttonJogP1_pressed();

    void on_buttonJogP1_released();

    void on_buttonJogN1_pressed();

    void on_buttonJogN1_released();

    void on_buttonZero1_clicked();

    void on_buttonEnable1_clicked();

    void on_buttonDisable1_clicked();

    void on_buttonJogP2_pressed();

    void on_buttonJogP2_released();

    void on_buttonJogN2_pressed();

    void on_buttonJogN2_released();

    void on_buttonZero2_clicked();

    void on_buttonEnable2_clicked();

    void on_buttonDisable2_clicked();

    void on_buttonFunction1_clicked();

    void on_buttonFunction2_clicked();

    void on_buttonFunction3_clicked();

    void on_buttonFunction4_clicked();

    void on_buttonFunction5_clicked();

private:
    void initControl();//初始化窗体控件，包括位置、尺寸、样式
    void initResolution1910();//初始化窗体控件为1920x1080分辨率
    void initResolution1006();
    void initControlStyle();//初始化窗体控件样式

private:
    Ui::DialogDieCutter *ui;
};

#endif // DIALOGDIECUTTER_H
