#ifndef DIALOGNEEDLESHUTTLE_H
#define DIALOGNEEDLESHUTTLE_H

#include <QDialog>
#include <QTextCodec>
#include "debugdialog.h"
#include "sharedviews/numerinputdialog.h"

namespace Ui {
class DialogNeedleShuttle;
}

class DialogNeedleShuttle : public DebugDialog
{
    Q_OBJECT

public:
    explicit DialogNeedleShuttle(QWidget *parent = 0);
    ~DialogNeedleShuttle();

private slots:
    void slotMcParaChangeValue();
    void on_buttonZero1_clicked();

    void on_buttonJogP1_pressed();

    void on_buttonJogP1_released();

    void on_buttonJogN1_pressed();

    void on_buttonJogN1_released();

    void on_buttonEnable1_clicked();

    void on_buttonDisable1_clicked();

    void on_buttonJogP2_pressed();

    void on_buttonJogP2_released();

    void on_buttonJogN2_pressed();

    void on_buttonJogN2_released();

    void on_buttonZero2_clicked();

    void on_buttonEnable2_clicked();

    void on_buttonDisable2_clicked();

    void on_buttonJogP3_pressed();

    void on_buttonJogP3_released();

    void on_buttonJogN3_pressed();

    void on_buttonJogN3_released();

    void on_buttonZero3_clicked();

    void on_buttonEnable3_clicked();

    void on_buttonDisable3_clicked();

    void on_buttonJogP4_pressed();

    void on_buttonJogP4_released();

    void on_buttonJogN4_pressed();

    void on_buttonJogN4_released();

    void on_buttonZero4_clicked();

    void on_buttonEnable4_clicked();

    void on_buttonDisable4_clicked();

    void on_buttonUp1_clicked();

    void on_buttonDown1_clicked();

    void on_buttonFunction1_clicked();

    void on_buttonFunction2_clicked();

    void on_buttonFunction3_clicked();

    void on_buttonFunction4_clicked();

    void on_buttonPara1_clicked();

    void on_buttonPara2_clicked();

private:
    void initControl();//初始化窗体控件，包括位置、尺寸、样式
    void initResolution1910();//初始化窗体控件为1920x1080分辨率
    void initResolution1006();
    void initControlStyle();//初始化窗体控件样式

private:
    Ui::DialogNeedleShuttle *ui;

};

#endif // DIALOGNEEDLESHUTTLE_H
